
package com.ejwa.pluscalc.controller;

import com.ejwa.pluscalc.view.CalculatorBackingBean;
import java.io.Serializable;
import javax.faces.view.ViewScoped;
import javax.inject.Inject;
import javax.inject.Named;
import lombok.Data;

@Data
@ViewScoped
@Named
public class CalculatorController implements Serializable {
	@Inject
	private CalculatorBackingBean calculatorBackingBean;

	public void onPressNumber(int n) {
		System.out.println(n);
		calculatorBackingBean.setNextValue(n);
	}

	public void onAdd() {
		calculatorBackingBean.setLastValue(calculatorBackingBean.getNextValue());
		calculatorBackingBean.setNextValue(0);
		
	}

	public void onEquals() {
		calculatorBackingBean.setResult(calculatorBackingBean.getLastValue() +
			                        calculatorBackingBean.getNextValue());
		calculatorBackingBean.setNextValue(calculatorBackingBean.getResult());
		calculatorBackingBean.setLastValue(0);
	}
	
}
