package com.ejwa.pluscalc.view;

import java.io.Serializable;
import javax.annotation.PostConstruct;
import javax.faces.view.ViewScoped;
import javax.inject.Named;
import lombok.Data;

@Data
@Named
@ViewScoped
public class CalculatorBackingBean implements Serializable {
	private int result;
	private int lastValue;
	private int nextValue;

	@PostConstruct
	private void init() {
		result = 0;
		lastValue = 0;
		nextValue = 0;
	}

	public boolean isShowOperations() {
		return nextValue > 0 && lastValue == 0;
	}

	public boolean isShowNumPad() {
		return nextValue == 0 && lastValue == 0 || nextValue == 0 && lastValue > 0;
	}
}
